package com.webchat.common.exception;

import com.webchat.common.enums.APIErrorCommonEnum;

public class AiCallException extends RuntimeException {

    private Integer code = 500;

    public AiCallException() {
        super();
    }

    public AiCallException(String msg) {
        super(msg);
    }

    public AiCallException(APIErrorCommonEnum apiErrorCommonEnum) {
        super(apiErrorCommonEnum.getMessage());
        this.code = apiErrorCommonEnum.getCode();
    }

    public AiCallException(Integer code, String msg) {
        super(msg);
        this.code = code;
    }

    public AiCallException(String message, Throwable cause) {
        super(message, cause);
    }

    public Integer getCode() {
        return code;
    }
}
