package com.webchat.rmi.aigc;


import com.webchat.common.bean.APIResponseBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "webchat-aigc-service", contextId = "basicModelServiceClient")
public interface BasicModelServiceClient {

    /**
     * 单个字符串embedding
     *
     * @param text
     * @return
     */
    @PostMapping("/aigc-service/basic/ai/embedding/text")
    APIResponseBean<float[]> embed(@RequestBody String text);

    /**
     * 批量字符串embedding
     *
     * @param texts
     * @return
     */
    @PostMapping("/aigc-service/basic/ai/embedding/texts")
    APIResponseBean<List<float[]>> embed(@RequestBody List<String> texts);
}
